{**
 * Not all mail clients support css3 variables, so this will compile them to a static set
 *}

<style>
	/* Render Core styles from user-selectable configuration */

	html {
		{\Core\CoreStyles::RenderStyle('background-color', 'base-background-color-primary')}
	}

	body {
		{\Core\CoreStyles::RenderStyle('background-color', 'base-background-color-primary')}
		{\Core\CoreStyles::RenderStyle('color', 'base-color-primary')}
		{\Core\CoreStyles::RenderStyle('font-family', 'base-font-family-primary')}
		{\Core\CoreStyles::RenderStyle('font-size', 'base-font-size-primary')}
	}

	.page-header {
		{\Core\CoreStyles::RenderStyle('background-color', 'header-background-color-primary')}
		{\Core\CoreStyles::RenderStyle('color', 'header-color-primary')}
		{\Core\CoreStyles::RenderStyle('font-family', 'header-font-family-primary')}
	}

	.inner-wrapper {
		{\Core\CoreStyles::RenderStyle('background-color', 'content-background-color-primary')}
		{\Core\CoreStyles::RenderStyle('color', 'content-color-primary')}
		{\Core\CoreStyles::RenderStyle('font-family', 'content-font-family-primary')}
		{\Core\CoreStyles::RenderStyle('font-size', 'content-font-size-primary')}
	}

	.page-footer {
		{\Core\CoreStyles::RenderStyle('background-color', 'footer-background-color-primary')}
		{\Core\CoreStyles::RenderStyle('color', 'footer-color-primary')}
		{\Core\CoreStyles::RenderStyle('font-family', 'footer-font-family-primary')}
		{\Core\CoreStyles::RenderStyle('font-size', 'footer-font-size-primary')}
	}

	::selection {
		{\Core\CoreStyles::RenderStyle('background', 'base-background-color-hover')}
		{\Core\CoreStyles::RenderStyle('color', 'base-color-hover')}
	}
	::-moz-selection {
		{\Core\CoreStyles::RenderStyle('background', 'base-background-color-hover')}
		{\Core\CoreStyles::RenderStyle('color', 'base-color-hover')}
	}

	h1, h2, h3, h4, h5, h6 {
		{\Core\CoreStyles::RenderStyle('color', 'heading-color-primary')}
		{\Core\CoreStyles::RenderStyle('font-family', 'heading-font-family-primary')}
	}

	a {
		{\Core\CoreStyles::RenderStyle('color', 'link-color-primary')}
	}

	a.button, button, input[type=button], input[type=submit] {
		{\Core\CoreStyles::RenderStyle('background-color', 'button-background-color-primary')}
		{\Core\CoreStyles::RenderStyle('color', 'button-color-primary')}
		{\Core\CoreStyles::RenderStyle('border-color', 'button-border-color-primary')}
		{\Core\CoreStyles::RenderStyle('border-radius', 'button-border-radius-primary')}
	}
</style>