<!DOCTYPE html>
{set_force_inline 1}
<html prefix="og: http://ogp.me/ns#">
	<head>
		{css src="assets/css/print.css" inline=1}{/css}
        {include "includes/core_styles_print.tpl"}
		{css src="assets/css/custom_print.css" inline=1}{/css}
	</head>

	<body class="core-2019-skin skin-print{if $body_classes} {$body_classes}{/if}">
		<div class="outer-wrapper" id="outer-wrapper">
			<table class="page-header">
				<tr>
					<td>
						{a href="`$smarty.const.ROOT_URL`" title="`$smarty.const.SITENAME|escape`"}
							{if isset($theme_site_logo) && $theme_site_logo}
								{img src="`$theme_site_logo`" alt="`$smarty.const.SITENAME|escape`" class="page-logo"}
							{else}
								{img src="assets/images/logo.png" alt="`$smarty.const.SITENAME|escape`" class="page-logo"}
							{/if}
						{/a}
					</td>
					<td>
						{include file='includes/site_schema_information.tpl'}
					</td>
				</tr>
			</table>

			<div id="inner-wrapper" class="inner-wrapper page-column-width-0">
				<div class="page-content-and-columns-wrapper">
					<section class="page-content">
						{$body}
					</section>
				</div>
			</div>
		</div>
	</body>
</html>
{set_force_inline 0}